Ubuntu 14.04: Hardware Compatibility Updates
================================================================================
As Ubuntu moves more and more spiritually away from being another “Linux” Distribution (check their site, the word Linux is not to be found, they have changed the language to refer to themselves as “the world’s most popular open source desktop operating system” instead), they continue to make efforts in certifying hardware from various vendors as “Ubuntu compatible”. Let’s take a quick look at some of the work that has gone into the Ubuntu 14.04 LTS hardware compatibility.

### What Does Certified Mean? ###

In the case of Ubuntu Certified Compatibility, it means that either the component or the entire desktop/laptop and all its various components are certified to have full driver support within the kernel for the version of Ubuntu it is certified for. Now, there appear to be two levels of this certification:

- Components Within Device Certification: This is where major components of a device are certified for a particular LTS version of Ubuntu (like the CPU, Video, Network and Storage Controllers) but not necessarily other components as they may vary (sound, wireless, specialized chipsets).
- Full System Certification: This is where an entire device (laptop, desktop or more commonly, a server) and all its myriad of device options are all certified as driver available for a version of Ubuntu LTS

In the example below, the Dell Inspiron 1545 has had its major components and various other device options certified to run with Ubuntu 12.04 LTS:

![](https://linuxacademy.com/blog/wp-content/uploads/2014/06/ubuhdwccert.png)

### So Do My Components Work or Not? ###

Well, as in most things related to Linux, the answer is “it depends”. The older your system or component, strangely enough, the more likely that it will be supported in the LTS version you are using. A LOT of work has gone into certifying hardware in LTS in general and strides have been made between versions 12.04 and 14.04 LTS (some estimates have the system certifications increasing almost 30% whereas component additions are almost 40% up since the last major version).

The newest components are going to be hit and miss (particularly if you are looking for official binary drivers from your friendly neighborhood video chip makers – both NVidia and ATI have fallen behind lately when it comes to getting support for their latest chips in the repository channels for the latest kernel versions).

If you have any doubt whether your system or server is fully compatible, check [Ubuntu’s handy “Certified Hardware”][1] site and see if your component or system is listed.

### Final Thoughts ###

Ubuntu has come a long way (literally and figuratively) in terms of hardware support in regards to Linux. Whereas everyone really used to be pretty hit and miss and getting any component to work properly in Linux could mean hours of searching for drivers, patches, configuration strings and/or special settings for a particular chip and revision. Now, for most major system components made within 90 days of the LTS release, you will find you have a pretty decent shot at getting your system up and running in Ubuntu 14.04 LTS.

Have a different experience or a long standing component with a lack of compatibility? Drop me a note and let me know, I would love to hear about your experiences!

--------------------------------------------------------------------------------

via: https://linuxacademy.com/blog/linux/ubuntu-14-04-hardware-compatibility-updates/

译者：[译者ID](https://github.com/译者ID) 校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[1]:http://www.ubuntu.com/certification/