Open Source LDAP Solutions
================================================================================
LDAP (Lightweight Directory Access Protocol) is an application protocol for accessing directory services. It runs on a layer above the TCP/IP stack incorporating simplified encoding methods, and offers a convenient way to connect to, search, and modify Internet directories, specifically X.500-based directory services. It is an open, vendor-neutral, industry standard application protocol. LDAP utilizes a client-server model.

This protocol is specifically targeted at management applications and browser applications that provide read/write interactive access to directories.

The main benefit of using an LDAP server is that information for an entire organization can be consolidated into a central repository. LDAP supports Secure Sockets Layer (SSL) and Transport Layer Security (TLS), so that sensitive data can be protected. LDAP servers are used for a variety of tasks including, but not limited to, user authentication, machine authentication, user/system groups, asset tracking, organization representation, and application configuration stores.

To provide an insight into the quality of open source software that is available, we have compiled a list of 5 high quality LDAP solutions.

Now, let's explore the 5 LDAP solutions at hand. For each title we have compiled its own portal page, a full description with an in-depth analysis of its features, together with links to relevant resources and reviews.

### LDAP Solutions ###

- [389 Directory Server][] - Enterprise-class Open Source LDAP server
- [OpenDJ][2] - Cloud Directory for the API Economy
- [OpenLDAP][3] - LDAP suite of applications and development tools
- [freeIPA][4] - Identity/Policy Management
- [ApacheDS][5] - LDAP and Kerberos server written in Java

--------------------------------------------------------------------------------

via: http://www.linuxlinks.com/article/20140607022012848/LDAPSolutions.html

译者：[译者ID](https://github.com/译者ID) 校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[1]:http://port389.org/
[2]:http://opendj.forgerock.org/
[3]:http://www.openldap.org/
[4]:http://www.freeipa.org/
[5]:http://directory.apache.org/apacheds/